Ubuntu

login events are getting displayed below the separator

Reported by Ken VanDine on 2009-10-09
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Messaging Menu
Medium
Ted Gould
indicator-messages (Ubuntu)
Low
Ted Gould
Lucid
Low
Ted Gould

Bug Description

Empathy (and i assume pidgin) login events are getting displayed below the separator. Incoming messages are getting displayed properly above the separator.

libdbusmenu-glib0 = 0.1.6-0ubuntu1

Changed in libdbusmenu (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in dbusmenu:
assignee: nobody → Ted Gould (ted)

On Fri, 2009-10-09 at 03:55 +0000, Ken VanDine wrote:
> Empathy (and i assume pidgin) login events are getting displayed below
> the separator. Incoming messages are getting displayed properly above
> the separator.

When the login events come in and are being shown, can you restart the
applet and see if they are in the right order. I realize this will
require some quick killing, but I know you're up for it :)

It'll basically see if it's a dbusmenu bug or a indicator-messages bug.

Also, if you want to grab dbusmenu trunk there is a new tool there that
will dump the dbusmenu hierarchy. While the first test will provide the
same information, that might be a useful thing to play with for the
future.

  affects dbusmenu
  status triaged
  importance medium

Changed in dbusmenu:
importance: Undecided → Medium
status: New → Triaged
Sebastien Bacher (seb128) wrote :

bug #523022 states it's still happening in current lucid, can we get that fixed for lucid?

Changed in libdbusmenu (Ubuntu):
assignee: Ken VanDine (ken-vandine) → Canonical Desktop Experience Team (canonical-dx-team)
importance: Undecided → Low
status: New → Confirmed
Omer Akram (om26er) wrote :

On comment #1 I killed indicator-applet and then reloaded it and the contact name was still below the separator

Omer Akram (om26er) wrote :

another problem is that when evolution is started (accounts are set) the separator between evolution and microblogging vanishes

David Barth (dbarth) on 2010-03-15
Changed in libdbusmenu (Ubuntu Lucid):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Ted Gould (ted)
Nicolò Chieffo (yelo3) wrote :

Not only login events has this problem, but also new contact request (when someone adds you to the contact list and you have to approve the friendship). It just happened to me, but I'm not sure this is 100% reproducible, because I only had one request.

Nicolò Chieffo (yelo3) wrote :

Just tested 3 times, 100% reproducible, even after killall indicator-applet

David Barth (dbarth) on 2010-03-24
Changed in dbusmenu:
milestone: none → ubuntu-10.04-beta-2
Changed in libdbusmenu (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Florent Mertens (givre) on 2010-03-25
description: updated
Ted Gould (ted) on 2010-03-31
affects: dbusmenu → indicator-messages
Changed in indicator-messages:
milestone: ubuntu-10.04-beta-2 → none
affects: libdbusmenu (Ubuntu Lucid) → indicator-messages (Ubuntu Lucid)
Changed in indicator-messages:
status: Triaged → Fix Committed
milestone: none → 0.3.6
status: Fix Committed → In Progress
Ted Gould (ted) on 2010-04-01
Changed in indicator-messages:
status: In Progress → Fix Committed
Ted Gould (ted) on 2010-04-01
Changed in indicator-messages:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-messages - 0.3.6-0ubuntu1

---------------
indicator-messages (0.3.6-0ubuntu1) lucid; urgency=low

  * New upstream release.
    * Fixing several bugs with regards to visibility and placement
      if items and separators in the menu. (LP: #446914)
    * Changing the service management over to using libindicator
      services and service manager for robustness.
 -- Ted Gould <email address hidden> Thu, 01 Apr 2010 10:13:38 -0500

Changed in indicator-messages (Ubuntu Lucid):
status: Confirmed → Fix Released
Omer Akram (om26er) wrote :

If gwibber is not running and you start evolution then my evolution account comes below the separator.

Omer Akram (om26er) wrote :

using indicator-messages - 0.3.6-0ubuntu1

On Fri, 2010-04-02 at 19:26 +0000, Omer Akram wrote:
> If gwibber is not running and you start evolution then my evolution
> account comes below the separator.

Could you install libdbusmenu-tools and then run this command please:

  $ /usr/lib/libdbusmenu/dbusmenu-dumper
--dbus-name=org.ayatana.indicator.messages
--dbus-object=/org/ayatana/indicator/messages/menu

It should give a JSON representation of the menu. Thanks!

Omer Akram (om26er) wrote :

om26er@lucidtest:~$ /usr/lib/libdbusmenu/dbusmenu-dumper --dbus-name=org.ayatana.indicator.messages --dbus-object=/org/ayatana/indicator/messages/menu
{
  "id": 0,
  "submenu": [
      {
        "id": 17,
        "app-name": "Chat",
        "type": "application-item",
        "app-icon": "applications-chat-panel",
        "visible": "TRUE"
      },
      {
        "id": 16,
        "type": "separator",
        "visible": "TRUE"
      },
      {
        "id": 6,
        "label": "Chat",
        "icon-name": "applications-chat-panel",
        "visible": "FALSE"
      },
      {
        "id": 1,
        "type": "separator",
        "visible": "FALSE"
      },
      {
        "id": 34,
        "app-name": "Mail",
        "type": "application-item",
        "app-icon": "applications-email-panel",
        "visible": "TRUE"
      },
      {
        "id": 35,
        "label": "Compose New Message",
        "icon-name": "blank-icon"
      },
      {
        "id": 36,
        "label": "Contacts",
        "icon-name": "blank-icon"
      },
      {
        "id": 32,
        "right-side-text": "(0)",
        "indicator-label": "Google Mail",
        "type": "indicator-item",
        "visible": "TRUE"
      },
      {
        "id": 33,
        "type": "separator",
        "visible": "TRUE"
      },
      {
        "id": 7,
        "label": "Mail",
        "icon-name": "applications-email-panel",
        "visible": "FALSE"
      },
      {
        "id": 8,
        "label": "Compose New Message",
        "icon-name": "blank-icon",
        "visible": "FALSE"
      },
      {
        "id": 9,
        "label": "Contacts",
        "icon-name": "blank-icon",
        "visible": "FALSE"
      },
      {
        "id": 2,
        "type": "separator",
        "visible": "FALSE"
      },
      {
        "id": 10,
        "label": "Broadcast",
        "icon-name": "applications-microblogging-panel",
        "visible": "TRUE"
      },
      {
        "id": 5,
        "type": "separator",
        "visible": "TRUE"
      },
      {
        "id": 11,
        "label": "Pidgin Internet Messenger",
        "icon-name": "pidgin",
        "visible": "FALSE"
      },
      {
        "id": 4,
        "type": "separator",
        "visible": "FALSE"
      },
      {
        "id": 27,
        "app-name": "XChat IRC",
        "type": "application-item",
        "app-icon": "xchat",
        "visible": "TRUE"
      },
      {
        "id": 26,
        "type": "separator",
        "visible": "FALSE"
      },
      {
        "id": 12,
        "label": "XChat IRC",
        "icon-name": "xchat",
        "visible": "FALSE"
      },
      {
        "id": 3,
        "type": "separator",
        "visible": "FALSE"
      }
  ]
}

Ted Gould (ted) wrote :

Omer,

I think this is a different bug. It seems that indicator-messages is
sending the right data, but dbusmenu isn't rendering it right on the
other side. How recreatable is this? Everytime? (oh, I guess you
should probably put that info on the other bug :) )

  --Ted

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments